XtraScreenHacks(6)

NAME
soma - Piet Hein's 3d cube puzzle

SYNOPSIS
soma [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-duration number] [-changerate number] [-spinrate number] [-clockwise] [-ncolors number] [-multicolors] [-colorchangerate number] [-mono] [-fps]

DESCRIPTION
Displays various figures that can be made with the Soma puzzle. Invented by Piet Hein, copyright 1936. Solutions provided by Thorleif Bundgaard. For more information, see Thorleif's Soma Page at http://www.fam-bundgaard.dk/SOMA/SOMA.HTM

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-duration number
    How long each figure should stay on the screen before breaking apart. Legal values are from 1 to 5000. Default: 500.

-changerate number
    How long it should take for the figure to break apart and reassemble. Legal values are from 1 to 500. Default: 100.

-spinrate number
    How fast the figure should rotate. Legal values are from 1 to 100. Default: 10.

-clockwise
    Make the figure rotate clockwise instead of counter-clockwise.

-ncolors number
    How many different colors should be used. Using less than the default value is not recommended because the color cycling steps will become noticeble. Legal values are from 1 to 2048. Default: 256.

-multicolors
    Draw each puzzle piece in a different color. Ignored if less than seven colors are allocated.

-colorchangerate number
    How long the colors should take to cycle. Legal values are from 1 to 1000. Default: 10.

-mono
    Draw everything in white (or whatever your display uses for white). Overrides -multicolors and -ncolors.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2010 by Kelley Nielsen. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Kelley Nielsen <shegeek-dev@comcast.net>